org.apache.jmeter.testelement

## Class OnErrorTestElement

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.testelement.OnErrorTestElement

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Searchable, TestElement
  Direct Known Subclasses:
    ResultAction

      public abstract class OnErrorTestElement
      extends AbstractTestElement

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ON_ERROR_ACTION`
    `static int` | `ON_ERROR_BREAK_CURRENT_LOOP`
    `static int` | `ON_ERROR_CONTINUE`
    `static int` | `ON_ERROR_START_NEXT_ITERATION_OF_CURRENT_LOOP`
    `static int` | `ON_ERROR_START_NEXT_THREAD_LOOP`
    `static int` | `ON_ERROR_STOPTEST`
    `static int` | `ON_ERROR_STOPTEST_NOW`
    `static int` | `ON_ERROR_STOPTHREAD`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OnErrorTestElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorAction()`
    `boolean` | `isBreakCurrentLoop()`
    `boolean` | `isContinue()`
    `boolean` | `isStartNextIterationOfCurrentLoop()`
    `boolean` | `isStartNextThreadLoop()`
    `boolean` | `isStopTest()`
    `boolean` | `isStopTestNow()`
    `boolean` | `isStopThread()`
    `void` | `setErrorAction(int value)`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Field Detail

    - #### ON_ERROR_CONTINUE

          public static final int ON_ERROR_CONTINUE

      See Also:
        Constant Field Values

    - #### ON_ERROR_STOPTHREAD

          public static final int ON_ERROR_STOPTHREAD

      See Also:
        Constant Field Values

    - #### ON_ERROR_STOPTEST

          public static final int ON_ERROR_STOPTEST

      See Also:
        Constant Field Values

    - #### ON_ERROR_STOPTEST_NOW

          public static final int ON_ERROR_STOPTEST_NOW

      See Also:
        Constant Field Values

    - #### ON_ERROR_START_NEXT_THREAD_LOOP

          public static final int ON_ERROR_START_NEXT_THREAD_LOOP

      See Also:
        Constant Field Values

    - #### ON_ERROR_START_NEXT_ITERATION_OF_CURRENT_LOOP

          public static final int ON_ERROR_START_NEXT_ITERATION_OF_CURRENT_LOOP

      See Also:
        Constant Field Values

    - #### ON_ERROR_BREAK_CURRENT_LOOP

          public static final int ON_ERROR_BREAK_CURRENT_LOOP

      See Also:
        Constant Field Values

    - #### ON_ERROR_ACTION

          public static final java.lang.String ON_ERROR_ACTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OnErrorTestElement

          protected OnErrorTestElement()

  - ### Method Detail

    - #### setErrorAction

          public void setErrorAction(int value)

    - #### getErrorAction

          public int getErrorAction()

    - #### isContinue

          public boolean isContinue()

    - #### isStopThread

          public boolean isStopThread()

    - #### isStopTest

          public boolean isStopTest()

    - #### isStopTestNow

          public boolean isStopTestNow()

    - #### isStartNextThreadLoop

          public boolean isStartNextThreadLoop()

    - #### isStartNextIterationOfCurrentLoop

          public boolean isStartNextIterationOfCurrentLoop()

    - #### isBreakCurrentLoop

          public boolean isBreakCurrentLoop()

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.